godo.Databases.GetStorageAutoscale()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Databases.GetStorageAutoscale(ctx context.Context, databaseID string) (*godo.DatabaseStorageAutoscale, *godo.Response, error)Description
GetStorageAutoscale retrieves the storage autoscaling configuration for a database cluster.
This method sends a GET request to /v2/databases/{}/autoscale.
Parameters
databaseIDstring required
Returns
- *godo.DatabaseStorageAutoscale
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.DatabaseStorageAutoscale
DatabaseStorageAutoscale represents the storage autoscaling configuration for a database cluster
EnabledboolThresholdPercent*intIncrementGib*uint64
Request Sample
Response Example
More Information
See GET /v2/databases/{}/autoscale in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.